const actionsData = [
  {
    id: 'mailaction',
    title: 'Mail Action',
    content: 'Add an Mailaction here',
    submitButtonText: 'Absenden',
    configuration: {
      mail_to: {
        type: 'email',
        label: 'Recipient Email',
        required: true,
        placeholder: 'Enter Recipient Email',
        value: '',
      },
      subject: {
        type: 'text',
        label: 'Subject for Email',
        required: true,
        placeholder: 'Enter Subject for Email',
        value: '',
      },
      mail_from: {
        type: 'email',
        label: 'Senders Mail',
        required: true,
        placeholder: 'Enter Senders Email',
        value: '',
      },
      mail_from_name: {
        type: 'text',
        label: 'Senders Name',
        placeholder: 'Enter Senders Name',
        value: '',
      },
    },
  },
  {
    id: 'urlaction',
    title: 'URL-Action',
    content: 'Add an URL Action here',
    submitButtonText: 'Absenden',
    configuration: {
      to_url : {
        type: 'url',
        label: 'Target URL',
        placeholder: 'Enter target URL',
        value: '',
      },
      method_post : {
        type: 'radio',
        name: 'method',
        label: 'Choose Method',
        placeholder: 'Choose Send Method',
        value: 'POST',
      },
      method_get : {
        type: 'radio',
        name: 'method',
        label: 'Choose Method',
        placeholder: 'Choose Send Method',
        value: 'GET',
      },
    },
  },
  {
    id: 'saveaction',
    title: 'Save as Object',
    content: 'Add an Action to Save as Object here',
    submitButtonText: 'Absenden',
    configuration: {
      save_as : {
        type: 'radio',
        label: 'Save as',
        placeholder: 'Choose Type to save in',
        name: 'save_as',
        value: 'Document',
      },
    },
  },
];

export default actionsData;
